Package org.mariadb.jdbc.plugin.authentication.standard.ed25519.spec

## Class EdDSAPublicKeySpec

- java.lang.Object
- - org.mariadb.jdbc.plugin.authentication.standard.ed25519.spec.EdDSAPublicKeySpec

All Implemented Interfaces:
  `KeySpec`

    public class EdDSAPublicKeySpec
    extends Object
    implements KeySpec

Author:
  str4d

### Constructor Summary

Constructors
`EdDSAPublicKeySpec​(byte[] pk, EdDSAParameterSpec spec)`
`EdDSAPublicKeySpec​(GroupElement A, EdDSAParameterSpec spec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroupElement` `getA()`
`GroupElement` `getNegativeA()`
`EdDSAParameterSpec` `getParams()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdDSAPublicKeySpec

    public EdDSAPublicKeySpec​(byte[] pk,
                              EdDSAParameterSpec spec)

Parameters:
  `pk` - the public key
  `spec` - the parameter specification for this key
Throws:
  `IllegalArgumentException` - if key length is wrong

#### EdDSAPublicKeySpec

    public EdDSAPublicKeySpec​(GroupElement A,
                              EdDSAParameterSpec spec)

### Method Detail

#### getA

    public GroupElement getA()

#### getNegativeA

    public GroupElement getNegativeA()

#### getParams

    public EdDSAParameterSpec getParams()